ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xavier Hanin" <xavier.ha...@gmail.com>
Subject Re: Dependency conflicts
Date Wed, 14 May 2008 16:22:35 GMT
On Thu, May 8, 2008 at 7:35 PM, Jorge Medina <jmedina@e-dialog.com> wrote:

> Hi,
>
>            I have a question that I have not been able to find an
> answer in the documentation. Any pointers are appreciated.
>
>
>
> a)       Does Ivy issues a warning when there are dependency conflicts?
>
> Lets assume that I have a Java project "X" that depends on module "foo"
> revision 1.0
>
> Let's say that I have another Java project "Y" that depends on module
> "foo" revision 2.0
>
> Finally, I have project "Z" that depends on project "X" and "Y"
>
>
>
> What version of "foo" would be  "Z" compiled against ?

It depends on the conflict manager you use, by default it will be 2.0. See
this:
http://ant.apache.org/ivy/history/latest-milestone/configuration/conflict-managers.html

HTH,

Xavier


>
>
>
>
> Thanks
>
>
>
> -Jorge
>
>


-- 
Xavier Hanin - Independent Java Consultant
http://xhab.blogspot.com/
http://ant.apache.org/ivy/
http://www.xoocode.org/

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message